org.deidentifier.arx.gui.view.impl.utility

## Class LayoutUtilityStatistics

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.LayoutUtilityStatistics

All Implemented Interfaces:
  ILayout, IView

    public class LayoutUtilityStatistics
    extends java.lang.Object
    implements ILayout, IView

Layouts the visualization and allows enabling/disabling them.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`LayoutUtilityStatistics(org.eclipse.swt.widgets.Composite parent, Controller controller, ModelEvent.ModelPart target, ModelEvent.ModelPart reset)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionListener(org.eclipse.swt.events.SelectionListener listener)` Adds a selection listener.
`void` `dispose()` Disposes the view.
`LayoutUtility.ViewUtilityType` `getSelectedView()` Returns the selection index.
`java.util.List<java.lang.String>` `getVisibleItems()` Returns all visible items
`void` `reset()` Resets the view.
`void` `setItemVisibilityListener(org.eclipse.swt.events.SelectionListener listener)` Sets the according listener
`void` `setSelectedView(LayoutUtility.ViewUtilityType type)` Sets the selected view type
`void` `setVisibleItems(java.util.List<java.lang.String> items)` Sets all visible items
`void` `update(ModelEvent event)` Updates the view.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutUtilityStatistics

    public LayoutUtilityStatistics(org.eclipse.swt.widgets.Composite parent,
                                   Controller controller,
                                   ModelEvent.ModelPart target,
                                   ModelEvent.ModelPart reset)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `target` -
  `reset` -

### Method Detail

#### addSelectionListener

    public void addSelectionListener(org.eclipse.swt.events.SelectionListener listener)

Adds a selection listener.

Parameters:
  `listener` -

#### dispose

    public void dispose()

Description copied from interface: `IView`
Disposes the view.

Specified by:
  `dispose` in interface `IView`

#### getSelectedView

    public LayoutUtility.ViewUtilityType getSelectedView()

Returns the selection index.

Returns:

#### getVisibleItems

    public java.util.List<java.lang.String> getVisibleItems()

Returns all visible items

Returns:

#### reset

    public void reset()

Description copied from interface: `IView`
Resets the view.

Specified by:
  `reset` in interface `IView`

#### setItemVisibilityListener

    public void setItemVisibilityListener(org.eclipse.swt.events.SelectionListener listener)

Sets the according listener

Parameters:
  `listener` -

#### setSelectedView

    public void setSelectedView(LayoutUtility.ViewUtilityType type)

Sets the selected view type

Parameters:
  `type` -

#### setVisibleItems

    public void setVisibleItems(java.util.List<java.lang.String> items)

Sets all visible items

Parameters:
  `items` -

#### update

    public void update(ModelEvent event)

Description copied from interface: `IView`
Updates the view.

Specified by:
  `update` in interface `IView`